Subject: Re: Possibilities for ext2fs
From: Chris Faylor <[email-masked]>
To: Federico Bianchi <[email-masked]>
Cc: Cygwin Mailing List <[email-masked]>
Date: Mon, 23 Aug 1999 11:07:24 -0400

On Mon, Aug 23, 1999 at 09:27:07AM +0200, Federico Bianchi wrote:
>On Mon, 23 Aug 1999, Chris Telting wrote:
>> I was just wondering if anyone has considered extending the mount
>> system such that you could access ext2 partitions under nt.  The
>> file access would no doubt be slow but it might be usful.
>> 
>> Is the mount system adaptable to this or would it require a redesign?
>
>I don't think the mount system is the clue. Fact is, I know of no free IFS
>toolkit for Windows NT, and it is my understanding (from some hints in the
>NT 5.0b3, a.k.a. Win2k, DDK documentation) that there are some non-trivial
>changes from release 4.0 to release 5.0, making it a pretty difficult (if
>_VERY_ interesting) option. I hope I'll be shown wrong, of course...

You're not wrong.  If you think about what the "mount system" does, there
is absolutely no low-level code incorporated in it.  Cygwin uses 100%
native Win32 APIs to accomplish its tasks.  The only thing it knows about
filesystems is what it gets via Windows.

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]